%define base_name	kde-icons
%define theme_name	korilla
%define	Theme_name	Korilla
%define version		1.3.5
%define name		%{base_name}-%{theme_name}
%define release %mkrel 5

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Korilla icon for KDE Desktop
License:	GPL
Group:		Graphical desktop/KDE
Source:		%{Theme_name}_Icons-v%{version}.tar.bz2
URL:		http://kde-look.org/content/show.php?content=7264
Requires:	kdebase-progs
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Korilla  ( Kook Gorilla ) Icon for KDE
 
The rework of Jimmac's Gorilla theme with blue colors was 
originally done by Justin (defendguin) and converted to KDE 
by P.Yavitz

Original Art By - Jakub "Jimmac" Steiner

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n Kool.Gorilla

%build

%install
install -d -m 755 $RPM_BUILD_ROOT/%{_datadir}/icons/%{theme_name}-%{version}
install -d -m 755 $RPM_BUILD_ROOT/%{_datadir}/apps/kdisplay/color-schemes/
install -d -m 755 $RPM_BUILD_ROOT/%{_datadir}/apps/kwin/icewm-themes/
install -d -m 755 $RPM_BUILD_ROOT/%{_datadir}/apps/ksplash/Themes/%{theme_name}/
install -d -m 755 $RPM_BUILD_ROOT/%{_datadir}/faces/
cp -r extras/color-scheme/{*.kcsrc,*.kcmrc} $RPM_BUILD_ROOT/%{_datadir}/apps/kdisplay/color-schemes/
cp -r extras/icewm/* $RPM_BUILD_ROOT/%{_datadir}/apps/kwin/icewm-themes/
cp -r extras/splash/* $RPM_BUILD_ROOT/%{_datadir}/apps/ksplash/Themes/%{theme_name}
cp -r 16x16/ 22x22/ 32x32/ 48x48/ 64x64/ 128x128/ index.desktop $RPM_BUILD_ROOT/%{_datadir}/icons/%{theme_name}-%{version}/
cp kdm/user-*.png $RPM_BUILD_ROOT/%{_datadir}/faces/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README 
%{_iconsdir}/%{theme_name}-%{version}/
%{_datadir}/apps/kdisplay/color-schemes/
%{_datadir}/apps/kwin/icewm-themes/
%{_datadir}/apps/ksplash/Themes/%{theme_name}/
%{_datadir}/faces/user-*.png




%changelog
* Fri Jul 25 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.3.5-5mdv2009.0
+ Revision: 247597
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Nov 10 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1.3.5-3mdv2008.1
+ Revision: 107277
- Fix Requires (kdebase-progs is a better require)
- import kde-icons-korilla


* Tue Jul 11 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.3.5-2mdk
- Rebuild for new extension
- use mkrel

* Mon Apr 19 2004 Laurent Culioli <laurent@mandrake.org> 1.3.5-1mdk
- new kde icon theme.
